@import "{}/imports/ui/stylesheets/variables/index";

.course-member {
  background: $course-page-component-bg;
  padding: 10px ($grid-gutter-width / 2);

  &.is-own-user {
    background: $user-bg;
  }
}

.course-member + .course-member {
  margin-top: $page-component-seperator-height;
}

.course-member-roles {
  float: right;
  list-style: none;
  margin: 0;

  &:hover {
    cursor: default;
  }
}

.course-member-role {
  background: $blue;
  margin-left: 3px;
  padding: 3px 6px 5px;
  vertical-align: middle;

  &.is-proposal {
    background-color: transparent;
    border: 3px dashed #a7c9d5;
    padding: 0 3px 2px;
  }
}

.course-member-role.is-proposal {
  .course-member-role-text {
    color: #6d9daf;
  }
}

.course-member-role-text {
  color: $white;
  font-size: small;
  font-weight: bold;
}

.team .course-member-role {
  padding-right: 0;
}

.role-short {
  text-transform: uppercase;
}

.add-to-team-btn {
  @include td-margin(left, 6px);
  margin-top: 2px;
  padding: 2px 6px;
}

.course-member-comment {
  @include clearfix;
  padding-top: 10px;
  position: relative;
}

.course-member-comment-arrow {
  border: 5px solid;
  border-color: transparent transparent $course-member-comment-border-color;
  height: 0;
  left: 8.5px;
  position: absolute;
  top: 0;
  width: 0;
}

.course-member-comment-body {
  @include td-float(left);
  @include break-word;
  background-color: lighten($blue-lighter, 6%);
  border: 1px solid $course-member-comment-border-color;
  border-radius: 3px;
  font-size: $font-size-base;
  max-width: 100%;
  overflow: hidden;
  padding: 5px 10px;
}
